Subject: Request: Anyone would help with common names of med. herbs?

From: [email-masked]
Date: Fri, 22 Mar 1996 10:49:21 GMT

As I am translating an Encyclopedia of Medicinal Herbs I am facing
some problems with several species of which I get the scientific
(Latin) name but cannot find out a common American or British name. If
someone is kind enough to provide an address where to solve doubts, I
can prepare a brief list (in fact, there may be some ten or twenty
species) of scientific names to be "translated" into common names.

Thank you very much in advance.

Juan L. Iglesias from Spain.
[email-masked]
Juan L. Iglesias.
E-mail [email-masked]